Subject: Re: [PATCH] ixgbe: fix for 82599 erratum on Header Splitting

From: Greg KH <[email-masked]>
Date: Fri, 4 Mar 2011 23:59:26 -0800

On Fri, Mar 04, 2011 at 11:51:07PM -0800, Jeff Kirsher wrote:
> On Fri, 2011-03-04 at 23:44 -0800, Greg KH wrote:
> > On Fri, Mar 04, 2011 at 11:06:07PM -0800, Jeff Kirsher wrote:
> > > From: Don Skidmore <[email-masked]>
> > > 
> > > We have found a hardware erratum on 82599 hardware that can lead to
> > > unpredictable behavior when Header Splitting mode is enabled.  So
> > > we are no longer enabling this feature on affected hardware.
> > > 
> > > Signed-off-by: Don Skidmore <[email-masked]>
> > > Tested-by: Stephen Ko <[email-masked]>
> > > Signed-off-by: Jeff Kirsher <[email-masked]>
> > > ---
> > >  drivers/net/ixgbe/ixgbe_main.c |    4 ++++
> > 
> > I'm confused, why did you just send this patch to me?
> > 
> > What am I supposed to do with it?
> > 
> > greg k-h
> 
> This is the fix for ixgbe (that Ben and others pointed out) which has
> been accepted into Linus's tree which did not apply to stable-2.6.32
> tree.  This is the updated patch that apply's to the stable-2.6.32 tree.

How nice, but why didn't you say so in the first place?  Am I really
supposed to remember the hundreds of stable patches I handle every week?

Oh, I need the git commit id of it as well, care to resend this with
that and the proper "please apply this for the .32 longterm tree"
message so I can?

If so, I'll queue it up for the after-next .32-longterm release.

thanks,

greg k-h